Index: /trunk/NEMO/OPA_SRC/DYN/dynspg.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/DYN/dynspg.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/DYN/dynspg.F90	(revision 789)
@@ -20,7 +20,4 @@
    USE dynspg_flt     ! surface pressure gradient     (dyn_spg_flt routine)
    USE dynspg_rl      ! surface pressure gradient     (dyn_spg_rl  routine)
-   USE dynspg_exp_jki ! surface pressure gradient (dyn_spg_exp_jki routine)
-   USE dynspg_ts_jki  ! surface pressure gradient (dyn_spg_ts_jki  routine)
-   USE dynspg_flt_jki ! surface pressure gradient (dyn_spg_flt_jki routine)
    USE trdmod         ! ocean dynamics trends
    USE trdmod_oce     ! ocean variables trends
@@ -68,14 +65,10 @@
 
       SELECT CASE ( nspg )                       ! compute surf. pressure gradient trend and add it to the general trend
-      !                                                      ! k-j-i loops
+      !                                                     
       CASE (  0 )   ;   CALL dyn_spg_exp    ( kt )              ! explicit
       CASE (  1 )   ;   CALL dyn_spg_ts     ( kt )              ! time-splitting
       CASE (  2 )   ;   CALL dyn_spg_flt    ( kt, kindic )      ! filtered
       CASE (  3 )   ;   CALL dyn_spg_rl     ( kt, kindic )      ! rigid lid
-      !                                                      ! j-k-i loops
-      CASE ( 10 )   ;   CALL dyn_spg_exp_jki( kt )              ! explicit with j-k-i loop
-      CASE ( 11 )   ;   CALL dyn_spg_ts_jki ( kt )              ! time-splitting with j-k-i loop
-      CASE ( 12 )   ;   CALL dyn_spg_flt_jki( kt, kindic )      ! filtered with j-k-i loop
-      !
+      !                                                    
       CASE ( -1 )                                       ! esopa: test all possibility with control print
          ;              CALL dyn_spg_exp    ( kt )
@@ -87,13 +80,4 @@
          ;              CALL dyn_spg_flt  ( kt, kindic )
          ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' spg2 - Ua: ', mask1=umask, &
-            &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ;              CALL dyn_spg_exp_jki( kt )
-         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' spg10- Ua: ', mask1=umask, &
-            &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ;              CALL dyn_spg_ts_jki ( kt )
-         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' spg12- Ua: ', mask1=umask, &
-            &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ;              CALL dyn_spg_flt_jki( kt, kindic )
-         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' spg13- Ua: ', mask1=umask, &
             &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       END SELECT
@@ -159,5 +143,4 @@
       IF( lk_dynspg_flt)   nspg =  2
       IF( lk_dynspg_rl )   nspg =  3
-      IF( lk_jki       )   nspg =  nspg + 10
       IF( nspg == 13   )   nspg =  3
 
@@ -171,7 +154,4 @@
          IF( nspg ==  2 )   WRITE(numout,*) '     filtered free surface'
          IF( nspg ==  3 )   WRITE(numout,*) '     rigid-lid'
-         IF( nspg == 10 )   WRITE(numout,*) '     explicit free surface with j-k-i loop'
-         IF( nspg == 11 )   WRITE(numout,*) '     time splitting free surface with j-k-i loop'
-         IF( nspg == 12 )   WRITE(numout,*) '     filtered free surface with j-k-i loop'
       ENDIF
 
Index: /trunk/NEMO/OPA_SRC/DYN/dynspg_exp.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/DYN/dynspg_exp.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/DYN/dynspg_exp.F90	(revision 789)
@@ -33,5 +33,4 @@
    !! * Accessibility
    PUBLIC dyn_spg_exp  ! routine called by step.F90
-   PUBLIC exp_rst      ! routine called j-k-i subroutine
 
    !! * Substitutions
Index: /trunk/NEMO/OPA_SRC/DYN/dynspg_flt.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/DYN/dynspg_flt.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/DYN/dynspg_flt.F90	(revision 789)
@@ -51,5 +51,4 @@
 
    PUBLIC dyn_spg_flt  ! routine called by step.F90
-   PUBLIC flt_rst      ! routine called by j-k-i subroutine
 
    !! * Substitutions
Index: /trunk/NEMO/OPA_SRC/DYN/dynspg_ts.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 789)
@@ -41,5 +41,4 @@
 
    PUBLIC dyn_spg_ts  ! routine called by step.F90
-   PUBLIC ts_rst      ! routine called by j-k-i subroutine
 
    REAL(wp), DIMENSION(jpi,jpj) ::  ftnw, ftne,   &  ! triad of coriolis parameter
Index: /trunk/NEMO/OPA_SRC/DYN/dynvor.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 789)
@@ -226,5 +226,4 @@
 
 !CDIR PARALLEL DO PRIVATE( zwx, zwy, zwz )
-!$OMP PARALLEL DO PRIVATE( zwx, zwy, zwz )
       !                                                ! ===============
       DO jk = 1, jpkm1                                 ! Horizontal slab
@@ -333,5 +332,4 @@
 
 !CDIR PARALLEL DO PRIVATE( zwx, zwy, zwz, zww )
-!$OMP PARALLEL DO PRIVATE( zwx, zwy, zwz, zww )
       !                                                ! ===============
       DO jk = 1, jpkm1                                 ! Horizontal slab
@@ -444,5 +442,4 @@
 
 !CDIR PARALLEL DO PRIVATE( zwx, zwy, zwz )
-!$OMP PARALLEL DO PRIVATE( zwx, zwy, zwz )
       !                                                ! ===============
       DO jk = 1, jpkm1                                 ! Horizontal slab
@@ -567,5 +564,4 @@
       
 !CDIR PARALLEL DO PRIVATE( zwx, zwy, zwz, ztnw, ztne, ztsw, ztse )
-!$OMP PARALLEL DO PRIVATE( zwx, zwy, zwz, ztnw, ztne, ztsw, ztse )
       !                                                ! ===============
       DO jk = 1, jpkm1                                 ! Horizontal slab
Index: /trunk/NEMO/OPA_SRC/DYN/dynzad.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/DYN/dynzad.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/DYN/dynzad.F90	(revision 789)
@@ -38,98 +38,4 @@
 CONTAINS
 
-#if defined key_mpp_omp
-   !!----------------------------------------------------------------------
-   !!   'key_mpp_omp'        OpenMP / NEC autotasking: j-k-i loops (j-slab)
-   !!----------------------------------------------------------------------
-
-   SUBROUTINE dyn_zad( kt )
-      !!----------------------------------------------------------------------
-      !!                  ***  ROUTINE dynzad  ***
-      !!
-      !! ** Purpose :   Compute the now vertical momentum advection trend and 
-      !!      add it to the general trend of momentum equation.
-      !!
-      !! ** Method  :   Use j-slab (j-k-i loops) for OpenMP / NEC autotasking
-      !!      The now vertical advection of momentum is given by:
-      !!         w dz(u) = ua + 1/(e1u*e2u*e3u) mk+1[ mi(e1t*e2t*wn) dk(un) ]
-      !!         w dz(v) = va + 1/(e1v*e2v*e3v) mk+1[ mj(e1t*e2t*wn) dk(vn) ]
-      !!      Add this trend to the general trend (ua,va):
-      !!         (ua,va) = (ua,va) + w dz(u,v)
-      !!
-      !! ** Action  : - Update (ua,va) with the vert. momentum advection trends
-      !!              - Save the trends in (ztrdu,ztrdv) ('key_trddyn')
-      !!----------------------------------------------------------------------
-      USE oce, ONLY:   zwuw => ta   ! use ta as 3D workspace
-      USE oce, ONLY:   zwvw => sa   ! use sa as 3D workspace
-      !!
-      INTEGER, INTENT(in) ::   kt   ! ocean time-step inedx
-      !!
-      INTEGER  ::   ji, jj, jk      ! dummy loop indices
-      REAL(wp) ::   zvn, zua, zva   ! temporary scalars
-      REAL(wp), DIMENSION(jpi)         ::   zww            ! 1D workspace
-      REAL(wp), DIMENSION(jpi,jpj,jpk) ::   ztrdu, ztrdv   ! 3D workspace
-      !!----------------------------------------------------------------------
-      
-      IF( kt == nit000 ) THEN
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'dyn_zad : arakawa advection scheme'
-         IF(lwp) WRITE(numout,*) '~~~~~~~   Auto-tasking case, j-slab, no vector opt.'
-      ENDIF
-
-      IF( l_trddyn )   THEN         ! Save ua and va trends
-         ztrdu(:,:,:) = ua(:,:,:) 
-         ztrdv(:,:,:) = va(:,:,:) 
-      ENDIF
-
-      !                                                ! ===============
-      DO jj = 2, jpjm1                                 !  Vertical slab
-         !                                             ! ===============
-         DO jk = 2, jpkm1         ! Vertical momentum advection at uw and vw-pts
-            DO ji = 2, jpi              ! vertical fluxes 
-               zww(ji) = 0.25 * e1t(ji,jj) * e2t(ji,jj) * wn(ji,jj,jk)
-            END DO
-            DO ji = 2, jpim1            ! vertical momentum advection at w-point
-               zvn = 0.25 * e1t(ji,jj+1) * e2t(ji,jj+1) * wn(ji,jj+1,jk)
-               zwuw(ji,jj,jk) = ( zww(ji+1) + zww(ji) ) * ( un(ji,jj,jk-1)-un(ji,jj,jk) )
-               zwvw(ji,jj,jk) = ( zvn       + zww(ji) ) * ( vn(ji,jj,jk-1)-vn(ji,jj,jk) )
-            END DO  
-         END DO   
-         DO ji = 2, jpim1               ! Surface and bottom values set to zero
-            zwuw(ji,jj, 1 ) = 0.e0
-            zwvw(ji,jj, 1 ) = 0.e0
-            zwuw(ji,jj,jpk) = 0.e0
-            zwvw(ji,jj,jpk) = 0.e0
-         END DO  
-         !
-         DO jk = 1, jpkm1         ! Vertical momentum advection at u- and v-points
-            DO ji = 2, jpim1
-               !                        ! vertical momentum advective trends
-               zua = - ( zwuw(ji,jj,jk) + zwuw(ji,jj,jk+1) ) / ( e1u(ji,jj) * e2u(ji,jj) * fse3u(ji,jj,jk) )
-               zva = - ( zwvw(ji,jj,jk) + zwvw(ji,jj,jk+1) ) / ( e1v(ji,jj) * e2v(ji,jj) * fse3v(ji,jj,jk) )
-               !                        ! add the trends to the general momentum trends
-               ua(ji,jj,jk) = ua(ji,jj,jk) + zua
-               va(ji,jj,jk) = va(ji,jj,jk) + zva
-            END DO  
-         END DO  
-         !                                             ! ===============
-      END DO                                           !   End of slab
-      !                                                ! ===============
-      !
-      IF( l_trddyn ) THEN         ! save the vertical advection trends for diagnostic
-         ztrdu(:,:,:) = ua(:,:,:) - ztrdu(:,:,:)
-         ztrdv(:,:,:) = va(:,:,:) - ztrdv(:,:,:)
-         CALL trd_mod( ztrdu, ztrdv, jpdyn_trd_zad, 'DYN', kt )
-      ENDIF
-      !                           ! Control print
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' zad  - Ua: ', mask1=umask,   &
-         &                       tab3d_2=va, clinfo2=' Va: ', mask2=vmask, clinfo3='dyn' )
-      !
-   END SUBROUTINE dyn_zad
-
-#else
-   !!----------------------------------------------------------------------
-   !!   Default option                             k-j-i loop (vector opt.)
-   !!----------------------------------------------------------------------
-
    SUBROUTINE dyn_zad ( kt )
       !!----------------------------------------------------------------------
@@ -162,5 +68,4 @@
          IF(lwp)WRITE(numout,*)
          IF(lwp)WRITE(numout,*) 'dyn_zad : arakawa advection scheme'
-         IF(lwp)WRITE(numout,*) '~~~~~~~   vector optimization k-j-i loop'
       ENDIF
 
@@ -215,5 +120,4 @@
       !
    END SUBROUTINE dyn_zad
-#endif
 
    !!======================================================================
Index: /trunk/NEMO/OPA_SRC/DYN/dynzdf.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/DYN/dynzdf.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/DYN/dynzdf.F90	(revision 789)
@@ -17,5 +17,4 @@
    USE dynzdf_exp      ! vertical diffusion: explicit (dyn_zdf_exp     routine)
    USE dynzdf_imp      ! vertical diffusion: implicit (dyn_zdf_imp     routine)
-   USE dynzdf_imp_jki  ! vertical diffusion  implicit (dyn_zdf_imp_jki routine)
 
    USE ldfdyn_oce      ! ocean dynamics: lateral physics
@@ -74,6 +73,5 @@
       !
       CASE ( 0 )   ;   CALL dyn_zdf_exp    ( kt, r2dt )      ! explicit scheme
-      CASE ( 1 )   ;   CALL dyn_zdf_imp    ( kt, r2dt )      ! implicit scheme (k-j-i loop)
-      CASE ( 2 )   ;   CALL dyn_zdf_imp_jki( kt, r2dt )      ! implicit scheme (j-k-i loop)
+      CASE ( 1 )   ;   CALL dyn_zdf_imp    ( kt, r2dt )      ! implicit scheme
       !
       CASE ( -1 )                                      ! esopa: test all possibility with control print
@@ -83,7 +81,4 @@
                        CALL dyn_zdf_imp    ( kt, r2dt )
                        CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf1 - Ua: ', mask1=umask,               &
-            &                        tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-                       CALL dyn_zdf_imp_jki( kt, r2dt )
-                       CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf2 - Ua: ', mask1=umask,               &
             &                        tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       END SELECT
@@ -109,5 +104,4 @@
       !! ** Method  :   implicit (euler backward) scheme (default)
       !!                explicit (time-splitting) scheme if ln_zdfexp=T
-      !!                OpenMP / NEC autotasking: use j-k-i loops
       !!----------------------------------------------------------------------
       USE zdftke
@@ -125,9 +119,4 @@
       IF( ln_dynldf_hor .AND. ln_sco )   nzdf = 1   ! horizontal lateral physics in s-coordinate
 
-      ! OpenMP / NEC autotasking
-#if defined key_mpp_omp
-      IF( nzdf == 1 )   nzdf = 2                    ! j-k-i loop
-#endif
-
       IF( lk_esopa )    nzdf = -1                   ! Esopa key: All schemes used
 
@@ -139,5 +128,4 @@
          IF( nzdf ==  0 )   WRITE(numout,*) '              Explicit time-splitting scheme'
          IF( nzdf ==  1 )   WRITE(numout,*) '              Implicit (euler backward) scheme'
-         IF( nzdf ==  2 )   WRITE(numout,*) '              Implicit (euler backward) scheme with j-k-i loops'
       ENDIF
       !
Index: /trunk/NEMO/OPA_SRC/DYN/wzvmod.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/DYN/wzvmod.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/DYN/wzvmod.F90	(revision 789)
@@ -36,59 +36,4 @@
 
 CONTAINS
-
-#if defined key_mpp_omp
-   !!----------------------------------------------------------------------
-   !!   'key_mpp_omp'                                   j-k-i loop (j-slab)
-   !!----------------------------------------------------------------------
-
-   SUBROUTINE wzv( kt )
-      !!----------------------------------------------------------------------
-      !!                    ***  ROUTINE wzv  ***
-      !!                     
-      !! ** Purpose :   Compute the now vertical velocity after the array swap
-      !!
-      !! ** Method  :   Using the incompressibility hypothesis, the vertical
-      !!     velocity is computed by integrating the horizontal divergence 
-      !!     from the bottom to the surface.
-      !!     The boundary conditions are w=0 at the bottom (no flux) and,
-      !!     in rigid-lid case, w=0 at the sea surface.
-      !!
-      !! ** action  :    wn array : the now vertical velocity
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt      ! ocean time-step index
-
-      !! * Local declarations
-      INTEGER ::   jj, jk      ! dummy loop indices
-      !!----------------------------------------------------------------------
-
-      IF( kt == nit000 ) THEN
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'wzv     : vertical velocity from continuity eq.'
-         IF(lwp) WRITE(numout,*) '~~~~~~~                     j-k-i loops'
-
-         ! bottom boundary condition: w=0 (set once for all)
-         wn(:,:,jpk) = 0.e0
-      ENDIF
-
-      !                                                ! ===============
-      DO jj = 1, jpj                                   !  Vertical slab
-         !                                             ! ===============
-         ! Computation from the bottom
-         DO jk = jpkm1, 1, -1
-            wn(:,jj,jk) = wn(:,jj,jk+1) - fse3t(:,jj,jk) * hdivn(:,jj,jk)
-         END DO
-         !                                             ! ===============
-      END DO                                           !   End of slab
-      !                                                ! ===============
-
-      IF(ln_ctl)   CALL prt_ctl(tab3d_1=wn, clinfo1=' w**2 -   : ', mask1=wn)
-
-   END SUBROUTINE wzv
-
-#else
-   !!----------------------------------------------------------------------
-   !!   Default option                                           k-j-i loop
-   !!----------------------------------------------------------------------
 
    SUBROUTINE wzv( kt )
@@ -189,5 +134,4 @@
 
    END SUBROUTINE wzv
-#endif
 
    !!======================================================================
Index: /trunk/NEMO/OPA_SRC/LDF/ldfeiv.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/LDF/ldfeiv.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/LDF/ldfeiv.F90	(revision 789)
@@ -10,6 +10,4 @@
    !!----------------------------------------------------------------------
    !!   ldf_eiv      : compute the eddy induced velocity coefficients
-   !!                  Same results but not same routine if 'key_mpp_omp'
-   !!                  is defined or not
    !!----------------------------------------------------------------------
    !! * Modules used
@@ -40,166 +38,4 @@
 
 CONTAINS
-
-# if defined key_mpp_omp
-   !!----------------------------------------------------------------------
-   !!   'key_mpp_omp' :                  OpenMP /  NEC autotasking (j-slab)
-   !!----------------------------------------------------------------------
-
-   SUBROUTINE ldf_eiv( kt )
-      !!----------------------------------------------------------------------
-      !!                  ***  ROUTINE ldf_eiv  ***
-      !!
-      !! ** Purpose :   Compute the eddy induced velocity coefficient from the
-      !!      growth rate of baroclinic instability.
-      !!
-      !! ** Method :
-      !!
-      !! ** Action :   uslp(),   : i- and j-slopes of neutral surfaces
-      !!               vslp()      at u- and v-points, resp.
-      !!               wslpi(),  : i- and j-slopes of neutral surfaces
-      !!               wslpj()     at w-points. 
-      !!
-      !! History :
-      !!   8.1  !  99-03  (G. Madec, A. Jouzeau)  Original code
-      !!   8.5  !  02-06  (G. Madec)  Free form, F90
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt     ! ocean time-step inedx
-      
-      !! * Local declarations
-      INTEGER ::   ji, jj, jk           ! dummy loop indices
-      REAL(wp) ::   &
-         zfw, ze3w, zn2, zf20,       &  ! temporary scalars
-         zaht, zaht_min
-      REAL(wp), DIMENSION(jpi,jpj) ::   &
-         zn, zah, zhw, zross            ! workspace
-      !!----------------------------------------------------------------------
-
-      IF( kt == nit000 ) THEN
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'ldf_eiv : eddy induced velocity coefficients'
-         IF(lwp) WRITE(numout,*) '~~~~~~~   NEC autotasking / OpenMP : j-slab'
-      ENDIF
-      
-      !                                                ! ===============
-      DO jj = 2, jpjm1                                 !  Vertical slab
-         !                                             ! ===============
-         
-         ! 0. Local initialization
-         ! -----------------------
-         zn   (:,jj) = 0.e0
-         zhw  (:,jj) = 5.e0
-         zah  (:,jj) = 0.e0
-         zross(:,jj) = 0.e0
-         
-         ! 1. Compute lateral diffusive coefficient 
-         ! ----------------------------------------
-
-!CDIR NOVERRCHK 
-         DO jk = 1, jpk
-!CDIR NOVERRCHK 
-            DO ji = 2, jpim1
-               ! Take the max of N^2 and zero then take the vertical sum 
-               ! of the square root of the resulting N^2 ( required to compute 
-               ! internal Rossby radius Ro = .5 * sum_jpk(N) / f 
-               zn2 = MAX( rn2(ji,jj,jk), 0.e0 )
-               ze3w = fse3w(ji,jj,jk) * tmask(ji,jj,jk)
-               zn(ji,jj) = zn(ji,jj) + SQRT( zn2 ) * fse3w(ji,jj,jk)
-               ! Compute elements required for the inverse time scale of baroclinic
-               ! eddies using the isopycnal slopes calculated in ldfslp.F : 
-               ! T^-1 = sqrt(m_jpk(N^2*(r1^2+r2^2)*e3w))
-               zah(ji,jj) = zah(ji,jj) + zn2   &
-                              * ( wslpi(ji,jj,jk) * wslpi(ji,jj,jk)    &
-                                + wslpj(ji,jj,jk) * wslpj(ji,jj,jk) )   &
-                              * ze3w
-               zhw(ji,jj) = zhw(ji,jj) + ze3w
-            END DO 
-         END DO 
- 
-!CDIR NOVERRCHK 
-         DO ji = 2, jpim1
-            zfw = MAX( ABS( 2. * omega * SIN( rad * gphit(ji,jj) ) ) , 1.e-10 )
-            ! Rossby radius at w-point taken < 40km and  > 2km
-            zross(ji,jj) = MAX( MIN( .4 * zn(ji,jj) / zfw, 40.e3 ), 2.e3 )
-            ! Compute aeiw by multiplying Ro^2 and T^-1
-            aeiw(ji,jj) = zross(ji,jj) * zross(ji,jj) * SQRT( zah(ji,jj) / zhw(ji,jj) ) * tmask(ji,jj,1)
-            IF( cp_cfg == "orca" .AND. jp_cfg == 2 ) THEN   ! ORCA R02
-               ! Take the minimum between aeiw and aeiv0 for depth levels
-               ! lower than 20 (21 in w- point)
-               IF( mbathy(ji,jj) <= 21. ) aeiw(ji,jj) = MIN( aeiw(ji,jj), 1000. )
-            ENDIF
-         END DO
-
-         ! Decrease the coefficient in the tropics (20N-20S) 
-         zf20 = 2. * omega * sin( rad * 20. )
-         DO ji = 2, jpim1
-            aeiw(ji,jj) = MIN( 1., ABS( ff(ji,jj) / zf20 ) ) * aeiw(ji,jj)
-         END DO
-  
-         ! ORCA R05: Take the minimum between aeiw and aeiv0
-         IF( cp_cfg == "orca" .AND. jp_cfg == 05 ) THEN   ! ORCA R05
-            DO ji = 2, jpim1
-               aeiw(ji,jj) = MIN( aeiw(ji,jj), aeiv0 )
-            END DO
-         ENDIF
-         !                                             ! ===============
-      END DO                                           !   End of slab
-      !                                                ! ===============
-
-      !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,synchro,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-
-      ! lateral boundary condition on aeiw 
-      CALL lbc_lnk( aeiw, 'W', 1. )
-
-      ! Average the diffusive coefficient at u- v- points 
-      DO jj = 2, jpjm1
-         DO ji = fs_2, fs_jpim1   ! vector opt.
-            aeiu(ji,jj) = .5 * (aeiw(ji,jj) + aeiw(ji+1,jj  ))
-            aeiv(ji,jj) = .5 * (aeiw(ji,jj) + aeiw(ji  ,jj+1))
-         END DO 
-      END DO 
-      !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,synchro,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-
-      ! lateral boundary condition on aeiu, aeiv 
-      CALL lbc_lnk( aeiu, 'U', 1. )
-      CALL lbc_lnk( aeiv, 'V', 1. )
-
-      IF(ln_ctl)   THEN
-         CALL prt_ctl(tab2d_1=aeiu, clinfo1=' eiv  - u: ', ovlap=1)
-         CALL prt_ctl(tab2d_1=aeiv, clinfo1=' eiv  - v: ', ovlap=1)
-      ENDIF
-      
-      ! ORCA R05: add a space variation on aht (=aeiv except at the equator and river mouth)
-      IF( cp_cfg == "orca" .AND. jp_cfg == 05 ) THEN
-         zf20     = 2. * omega * SIN( rad * 20. )
-         zaht_min = 100.                              ! minimum value for aht
-         DO jj = 1, jpj
-            DO ji = 1, jpi
-               zaht      = ( 1. -  MIN( 1., ABS( ff(ji,jj) / zf20 ) ) ) * ( aht0 - zaht_min )  &
-                  &      + aht0 * upsrnfh(ji,jj)                          ! enhanced near river mouths
-               ahtu(ji,jj) = MAX( MAX( zaht_min, aeiu(ji,jj) ) + zaht, aht0 )
-               ahtv(ji,jj) = MAX( MAX( zaht_min, aeiv(ji,jj) ) + zaht, aht0 )
-               ahtw(ji,jj) = MAX( MAX( zaht_min, aeiw(ji,jj) ) + zaht, aht0 )
-            END DO
-         END DO
-         IF(ln_ctl) THEN
-            CALL prt_ctl(tab2d_1=ahtu, clinfo1=' aht  - u: ', ovlap=1)
-            CALL prt_ctl(tab2d_1=ahtv, clinfo1=' aht  - v: ', ovlap=1)
-            CALL prt_ctl(tab2d_1=ahtw, clinfo1=' aht  - w: ', ovlap=1)
-         ENDIF
-      ENDIF
-
-      IF( aeiv0 == 0.e0 ) THEN
-         aeiu(:,:) = 0.e0
-         aeiv(:,:) = 0.e0
-         aeiw(:,:) = 0.e0
-      ENDIF
-
-   END SUBROUTINE ldf_eiv
-
-# else
-   !!----------------------------------------------------------------------
-   !!   Default key                                             k-j-i loops
-   !!----------------------------------------------------------------------
 
    SUBROUTINE ldf_eiv( kt )
@@ -251,5 +87,5 @@
 
       DO jk = 1, jpk
-#  if defined key_vectopt_loop  &&  ! defined key_mpp_omp
+#  if defined key_vectopt_loop  
 !CDIR NOVERRCHK 
          DO ji = 1, jpij   ! vector opt.
@@ -373,6 +209,4 @@
    END SUBROUTINE ldf_eiv
 
-# endif
-
 #else
    !!----------------------------------------------------------------------
Index: /trunk/NEMO/OPA_SRC/LDF/ldfslp.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/LDF/ldfslp.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/LDF/ldfslp.F90	(revision 789)
@@ -139,5 +139,5 @@
 
       IF( ln_zps ) THEN      ! partial steps correction at the bottom ocean level (zps_hde routine)
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop  
          jj = 1
          DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -151,5 +151,5 @@
                zgru(ji,jj,iku) = gru(ji,jj) 
                zgrv(ji,jj,ikv) = grv(ji,jj)               
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop 
             END DO
 # endif
@@ -490,5 +490,5 @@
       ! mask for mixed layer
       DO jk = 1, jpk
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij   ! vector opt. (forced unrolling)
@@ -504,5 +504,5 @@
                   omlmask(ji,jj,jk) = 0.e0
                ENDIF
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
             END DO
 # endif
@@ -522,5 +522,5 @@
       zwy(:,jpj) = 0.e0
       zwy(jpi,:) = 0.e0
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -535,5 +535,5 @@
                &             * ( pn2(ji,jj,ik) + pn2(ji,jj,ik+1) )   &
                &             / MAX( tmask(ji,jj,ik) + tmask (ji,jj,ik+1), 1. )
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
          END DO
 # endif
@@ -543,5 +543,5 @@
 
       ! Slope at u points
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
       jj = 1
       DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
@@ -560,5 +560,5 @@
             ! uslpml
             uslpml (ji,jj) = zau / ( zbu - zeps ) * umask (ji,jj,ik)
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
          END DO
 # endif
@@ -572,5 +572,5 @@
       zwy ( :, jpj) = 0.e0
       zwy ( jpi, :) = 0.e0
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -584,5 +584,5 @@
                &             * ( pn2(ji,jj,ik) + pn2(ji,jj,ik+1) )   &
                &             / MAX( tmask(ji,jj,ik) + tmask (ji,jj,ik+1), 1. )
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
          END DO
 # endif
@@ -593,5 +593,5 @@
 
       ! Slope at v points
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
       jj = 1
       DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
@@ -610,5 +610,5 @@
             ! vslpml
             vslpml (ji,jj) = zav / ( zbv - zeps ) * vmask (ji,jj,ik)
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
          END DO
 # endif
@@ -624,5 +624,5 @@
       ! Local vertical density gradient evaluated from N^2
       ! zwy = d/dz(prd)= - mk ( prd ) / grav * pn2 -- at w point
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij   ! vector opt. (forced unrolling)
@@ -636,5 +636,5 @@
             zwy (ji,jj) = zm05g * pn2 (ji,jj,ik) *     &
                &             ( prd (ji,jj,ik) + prd (ji,jj,ikm1) + 2. )
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
          END DO
 # endif
@@ -642,5 +642,5 @@
 
       ! Slope at w point
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
       jj = 1
       DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
@@ -672,5 +672,5 @@
             wslpiml (ji,jj) = zai / ( zbi - zeps) * tmask (ji,jj,ik)
             wslpjml (ji,jj) = zaj / ( zbj - zeps) * tmask (ji,jj,ik)
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
          END DO
 # endif
Index: /trunk/NEMO/OPA_SRC/SBC/flxblk.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/SBC/flxblk.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/SBC/flxblk.F90	(revision 789)
@@ -412,5 +412,5 @@
 
       DO jt = 1, jpintsr 
-#   if defined key_vectopt_loop && ! defined key_mpp_omp
+#   if defined key_vectopt_loop 
          DO ji = 1, jpij  
             zalbocsd(ji,1) = zalbocsd(ji,1) + zdlha   (ji,1) * zalbocs(ji,1,jt)   &
